GNU logs - #28640, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28640: 25.2; cperl-mode indentation after package BLOCKs
Resent-From: Darren Embry <dse@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 29 Sep 2017 04:37:02 +0000
Resent-Message-ID: <handler.28640.B.150665977928440 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 28640
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 28640 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.150665977928440
          (code B ref -1); Fri, 29 Sep 2017 04:37:02 +0000
Received: (at submit) by debbugs.gnu.org; 29 Sep 2017 04:36:19 +0000
Received: from localhost ([127.0.0.1]:37382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dxn2A-0007Oe-Lp
	for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 00:36:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dse@HIDDEN>) id 1dxn29-0007OR-84
 for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 00:36:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dse@HIDDEN>) id 1dxn22-0003cg-P1
 for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 00:36:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:45991)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dse@HIDDEN>)
 id 1dxn22-0003cY-MO
 for submit <at> debbugs.gnu.org; Fri, 29 Sep 2017 00:36:10 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43430)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dse@HIDDEN>) id 1dxn21-000885-4P
 for bug-gnu-emacs@HIDDEN; Fri, 29 Sep 2017 00:36:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dse@HIDDEN>) id 1dxn1y-0003ZD-0p
 for bug-gnu-emacs@HIDDEN; Fri, 29 Sep 2017 00:36:09 -0400
Received: from barnacle2.webonastick.com ([52.71.72.97]:39176 helo=barnacle2)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dse@HIDDEN>) id 1dxn1x-0003Ya-S3
 for bug-gnu-emacs@HIDDEN; Fri, 29 Sep 2017 00:36:05 -0400
Received: by barnacle2 (Postfix, from userid 1001)
 id A7D4EC011B; Fri, 29 Sep 2017 00:37:00 -0400 (EDT)
From: Darren Embry <dse@HIDDEN>
Date: Fri, 29 Sep 2017 00:37:00 -0400
Message-ID: <86zi9ece8j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


Hello GNU Emacs developers,

I'm getting the following automatic indentation in cperl-mode for a
script containing more than one BLOCK:

    #!/usr/bin/env perl
    use warnings;
    use strict;

    package Foo {
      use Moose;
    }
      package Bar {
        use Moose;
      }

      # Local Variables:
      # mode: cperl
      # End:

Package BLOCKs were created in Perl 5.14 as an alternative syntax that
only applies the specified namespace to a BLOCK:

    https://www.perl.com/pub/2011/05/new-features-of-perl-514-package-block=
.html

Obviously the second package BLOCK in my opinion should be indented the
same as the first:

    package Foo {
      use Moose;
    }
    package Bar {
      use Moose;
    }

With opening braces on their own lines, auto-indentation becomes a
little bit weirder:

    #!/usr/bin/env perl
    use warnings;
    use strict;

    package Foo
      {
        use Moose;
      }
      package Bar
      {
        use Moose;
      }

      # Local Variables:
      # mode: cperl
      # End:

My present workaround is to append a ; to every package BLOCK:

    package Foo {
      use Moose;
    };

I've also discovered another workaround: change the value of
`cperl-continued-statement-offset' to 0.  That may help guide you to
what cperl-mode thinks is going on, as well as where to look for and/or
fix the problem.

Thanks,
Darren



In GNU Emacs 25.2.1 (x86_64-unknown-linux-gnu)
 of 2017-08-03 built on barnacle2.webonastick.com
System Description:	Ubuntu 14.04.4 LTS

Configured using:
 'configure --prefix=3D/usr/local'

Configured features:
SOUND NOTIFY ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: CPerl

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
next-line: End of buffer
Saving file /home/dse/foo.pl...
Wrote /home/dse/foo.pl
You can run the command =E2=80=98normal-mode=E2=80=99 with M-x nor-m RET
Mark set [3 times]
Quit
Saving file /home/dse/foo.pl...
Wrote /home/dse/foo.pl

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode cl-loaddefs pcase
cl-lib mail-prsvr mail-utils cperl-mode easymenu perl-mode regexp-opt
term/xterm xterm time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type tabulated-list newcomment elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote inotify multi-tty
make-network-process emacs)

Memory information:
((conses 16 90853 5234)
 (symbols 48 19556 0)
 (miscs 40 49 124)
 (strings 32 16289 5349)
 (string-bytes 1 483067)
 (vectors 16 10278)
 (vector-slots 8 392683 13537)
 (floats 8 147 274)
 (intervals 56 222 23)
 (buffers 976 19)
 (heap 1024 26088 633))




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Darren Embry <dse@HIDDEN>
Subject: bug#28640: Acknowledgement (25.2; cperl-mode indentation after
 package BLOCKs)
Message-ID: <handler.28640.B.150665977928440.ack <at> debbugs.gnu.org>
References: <86zi9ece8j.fsf@HIDDEN>
X-Gnu-PR-Message: ack 28640
X-Gnu-PR-Package: emacs
Reply-To: 28640 <at> debbugs.gnu.org
Date: Fri, 29 Sep 2017 04:37:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 28640 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
28640: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D28640
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#28640: 25.2; cperl-mode indentation after package BLOCKs
References: <86zi9ece8j.fsf@HIDDEN>
In-Reply-To: <86zi9ece8j.fsf@HIDDEN>
Resent-From: Stefan Kangas <stefan@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 05 Jul 2019 20:22:01 +0000
Resent-Message-ID: <handler.28640.B28640.156235807031391 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 28640
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 28640 <at> debbugs.gnu.org
Received: via spool by 28640-submit <at> debbugs.gnu.org id=B28640.156235807031391
          (code B ref 28640); Fri, 05 Jul 2019 20:22:01 +0000
Received: (at 28640) by debbugs.gnu.org; 5 Jul 2019 20:21:10 +0000
Received: from localhost ([127.0.0.1]:53833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hjUhi-0008AF-KM
	for submit <at> debbugs.gnu.org; Fri, 05 Jul 2019 16:21:10 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:44812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1hjUhh-0008A1-1W
 for 28640 <at> debbugs.gnu.org; Fri, 05 Jul 2019 16:21:09 -0400
Received: by mail-wr1-f53.google.com with SMTP id b2so9791916wrx.11
 for <28640 <at> debbugs.gnu.org>; Fri, 05 Jul 2019 13:21:09 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=zqwwtwHfvbs4O7EkR2nUASqbyUBIDgHFuACyWsd1pyA=;
 b=cQWgHgFa/MMc8sfIG/2WrZwkvYEDDIIscUJ5OTAAHpd0N0J6k37tXh2yF3kSWpKa7h
 /on5cBjTOfoRPAJlBC5ndxMAbTEw8dhivPoOjz1C3hA7nmXwmlsvaQD2oe8xe8u5v+yg
 klODEB2QfiLAWwmLwlRwpbPpkf9vb2SI2ocCfbIRXXq9sigfY25XOgoF5kuE517yn+Aq
 tD8HByk+iL9KLNYCQZNCpVgZ6Sf7w5gvzlzkZX15pVdst4AYupCpj5qh4UL5clFITOTL
 w/J4lruyCLLYHJoWaZFRrsTubdS5u5Mzqk1FJSVkAoL45Kjax4OTzobLYpYk18Z1kruG
 4Gbg==
X-Gm-Message-State: APjAAAVAUwa4i5bbZATEwHrwtAACULRWWmMnEADfpTj8Y0ZTx4hbkpOw
 8Ctz0xFV8C2Rht4gDG4bwcVC1wPfiV9CP91pDLtD/8lz
X-Google-Smtp-Source: APXvYqykCwjcvXt/vXrQHP7DoDleWzzwQeSVQ2ddqf2+s2vaksviCLZrjzuYkLLZzazXgW7xJt4r/kMLzVqq90CvFvU=
X-Received: by 2002:a5d:4609:: with SMTP id t9mr4854458wrq.85.1562358063156;
 Fri, 05 Jul 2019 13:21:03 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Fri, 5 Jul 2019 22:20:52 +0200
Message-ID: <CADwFkmkdarhXdHtmPh36Kr6aBx6d-d9WmvW+J=97HHyjMHO00Q@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Darren Embry <dse@HIDDEN> writes:

> Hello GNU Emacs developers,
>
> I'm getting the following automatic indentation in cperl-mode for a
> script containing more than one BLOCK:
>
>     #!/usr/bin/env perl
>     use warnings;
>     use strict;
>
>     package Foo {
>       use Moose;
>     }
>       package Bar {
>         use Moose;
>       }
>
>       # Local Variables:
>       # mode: cperl
>       # End:

I can reproduce this on Emacs 26.2 and current master.

Best regards,
Stefan Kangas




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 23 Aug 2019 06:39:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 02:39:14 2019
Received: from localhost ([127.0.0.1]:38985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i13EA-0003Qm-0y
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 02:39:14 -0400
Received: from mail-pg1-f181.google.com ([209.85.215.181]:35958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1i13E7-0003QW-A1
 for control <at> debbugs.gnu.org; Fri, 23 Aug 2019 02:39:12 -0400
Received: by mail-pg1-f181.google.com with SMTP id l21so5212768pgm.3
 for <control <at> debbugs.gnu.org>; Thu, 22 Aug 2019 23:39:11 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=XOPQyn6TBh7f116W7HaItJWVi9RypjZgJPYEvcnuA1A=;
 b=Jf8e1+vmMW4+2BZ4L+8DMjmi5h5q0ICkNS86RhkRkNlnpfVB09IhDDgQK2c6zTi4lK
 fT5UeARlBKSNAG8vPr05VIqYGjru0dVebtTcKTPQr8P2moiQf1f6aA/bG4hVVyNlHSJI
 KWVo99h12iGaJ8bOr9WwtupZio5uCn5U0o69vydAg0Zx/1POeMF1WBvfU3OOLeZtCPSZ
 Pe8BMDm9pTAX35lZ7yCLhqMsHrkIliR705LWG4CsKjP1quu91Y6WT7FoExhY/h8n3NfJ
 aj4gKCyoPmBOZT50fQN5FJg0wVct0y4jv5xHol71o0UhSbwF8PjK3mQxEMwrK8wUSNyd
 6Jsg==
X-Gm-Message-State: APjAAAWTVvxExoe97EK30gqEJnub/RrgOV3fftHvfgCA0xfyzcVDm4gm
 H3gqDnr7nYa4Y7M9jomkRld4gQjsfa1z8N1HbKPl62L3
X-Google-Smtp-Source: APXvYqwUpvv4FmR88gSvnzAD5n291bCrQoS4KALx4fWlHOcNXce8ubIi0qIu35pXwjkUAZyx94RE71yjk3dPROQZ6p0=
X-Received: by 2002:a63:69c1:: with SMTP id e184mr2497620pgc.198.1566542345242; 
 Thu, 22 Aug 2019 23:39:05 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Fri, 23 Aug 2019 08:38:54 +0200
Message-ID: <CADwFkm=1D8=6z48WkTN0hGiuR_ugzzT79490P7-A=y4o+6mYiQ@HIDDEN>
Subject: 
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  # I've triaged these before, but forgot to tag them... tags
 9622 confirmed found 9622 26.2 tags 18985 confirmed found 18985 26.2 tags
 19709 confirmed found 19709 26.2 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.215.181 listed in list.dnswl.org]
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  # I've triaged these before, but forgot to tag them... tags
    9622 confirmed found 9622 26.2 tags 18985 confirmed found 18985 26.2 tags
    19709 confirmed found 19709 26.2 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.215.181 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stefankangas[at]gmail.com)
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  2.0 BLANK_SUBJECT          Subject is present but empty
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different

# I've triaged these before, but forgot to tag them...
tags 9622 confirmed
found 9622 26.2

tags 18985 confirmed
found 18985 26.2

tags 19709 confirmed
found 19709 26.2

tags 24101 confirmed
found 24101 26.2

tags 24299 confirmed
found 24299 26.2

tags 25098 confirmed
found 25098 26.2

tags 28640 confirmed
found 28640 26.2

severity 35397 wishlist
quit




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 23 Aug 2019 06:39:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 02:39:14 2019
Received: from localhost ([127.0.0.1]:38985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i13EA-0003Qm-0y
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 02:39:14 -0400
Received: from mail-pg1-f181.google.com ([209.85.215.181]:35958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1i13E7-0003QW-A1
 for control <at> debbugs.gnu.org; Fri, 23 Aug 2019 02:39:12 -0400
Received: by mail-pg1-f181.google.com with SMTP id l21so5212768pgm.3
 for <control <at> debbugs.gnu.org>; Thu, 22 Aug 2019 23:39:11 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=XOPQyn6TBh7f116W7HaItJWVi9RypjZgJPYEvcnuA1A=;
 b=Jf8e1+vmMW4+2BZ4L+8DMjmi5h5q0ICkNS86RhkRkNlnpfVB09IhDDgQK2c6zTi4lK
 fT5UeARlBKSNAG8vPr05VIqYGjru0dVebtTcKTPQr8P2moiQf1f6aA/bG4hVVyNlHSJI
 KWVo99h12iGaJ8bOr9WwtupZio5uCn5U0o69vydAg0Zx/1POeMF1WBvfU3OOLeZtCPSZ
 Pe8BMDm9pTAX35lZ7yCLhqMsHrkIliR705LWG4CsKjP1quu91Y6WT7FoExhY/h8n3NfJ
 aj4gKCyoPmBOZT50fQN5FJg0wVct0y4jv5xHol71o0UhSbwF8PjK3mQxEMwrK8wUSNyd
 6Jsg==
X-Gm-Message-State: APjAAAWTVvxExoe97EK30gqEJnub/RrgOV3fftHvfgCA0xfyzcVDm4gm
 H3gqDnr7nYa4Y7M9jomkRld4gQjsfa1z8N1HbKPl62L3
X-Google-Smtp-Source: APXvYqwUpvv4FmR88gSvnzAD5n291bCrQoS4KALx4fWlHOcNXce8ubIi0qIu35pXwjkUAZyx94RE71yjk3dPROQZ6p0=
X-Received: by 2002:a63:69c1:: with SMTP id e184mr2497620pgc.198.1566542345242; 
 Thu, 22 Aug 2019 23:39:05 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Fri, 23 Aug 2019 08:38:54 +0200
Message-ID: <CADwFkm=1D8=6z48WkTN0hGiuR_ugzzT79490P7-A=y4o+6mYiQ@HIDDEN>
Subject: 
To: control <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  # I've triaged these before, but forgot to tag them... tags
 9622 confirmed found 9622 26.2 tags 18985 confirmed found 18985 26.2 tags
 19709 confirmed found 19709 26.2 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (stefankangas[at]gmail.com)
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.215.181 listed in list.dnswl.org]
 2.0 BLANK_SUBJECT          Subject is present but empty
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  # I've triaged these before, but forgot to tag them... tags
    9622 confirmed found 9622 26.2 tags 18985 confirmed found 18985 26.2 tags
    19709 confirmed found 19709 26.2 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.215.181 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (stefankangas[at]gmail.com)
  0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
                             mail domains are different
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  2.0 BLANK_SUBJECT          Subject is present but empty
  0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
                             EnvelopeFrom freemail headers are
                             different

# I've triaged these before, but forgot to tag them...
tags 9622 confirmed
found 9622 26.2

tags 18985 confirmed
found 18985 26.2

tags 19709 confirmed
found 19709 26.2

tags 24101 confirmed
found 24101 26.2

tags 24299 confirmed
found 24299 26.2

tags 25098 confirmed
found 25098 26.2

tags 28640 confirmed
found 28640 26.2

severity 35397 wishlist
quit




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 26 Aug 2020 15:58:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 26 11:58:55 2020
Received: from localhost ([127.0.0.1]:40555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kAxp9-0002F4-J6
	for submit <at> debbugs.gnu.org; Wed, 26 Aug 2020 11:58:55 -0400
Received: from mail-yb1-f178.google.com ([209.85.219.178]:39785)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kAxp4-0002Eb-Ri
 for control <at> debbugs.gnu.org; Wed, 26 Aug 2020 11:58:52 -0400
Received: by mail-yb1-f178.google.com with SMTP id q16so1234994ybk.6
 for <control <at> debbugs.gnu.org>; Wed, 26 Aug 2020 08:58:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :content-transfer-encoding;
 bh=HW7fMykvmRW+k4Bny2dMNey8sDQn+zKuQTGe/0YzjFU=;
 b=fAlK+G7zPahNZ877dvZqhQL2Ay21rYU2fHF9NBoW3Q3ZozA88F2lm8hwTMm736KvfJ
 IUmRwB8aXirtRhJpkRrbDJ0BLl29ReCPRP9hfGxDa0V40zENEz5Z1venujRSwnQS3ZKw
 fszEovL83I6Qft4kFnZWdOCXTrDn5iRYmfLrvhT+glWKD2EQ4IvWEnnRT5ibQh0NeyfA
 UoTCvCMWVBNdXysPqqbff68ImgiKt7IFe5SC0Yk0RNBI69oPk5+BS0+ZT+wGumkz+GGP
 2+FfXLDakxJxGt6gGxbO2QDrDOIE3dUhXVzDeBiNzNQB340Z/JKDMRX8Jon+IrG+7gFB
 pfOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:content-transfer-encoding;
 bh=HW7fMykvmRW+k4Bny2dMNey8sDQn+zKuQTGe/0YzjFU=;
 b=a4n34xE1yuBW7wqZB7OmkFGf1oK0ZkWrO482ld3UqWFicsJKBeeKD59yB0DSRcUfZG
 z8TvdkP0fHiCsF/h1AYTxEOq8/PFRPcoAqbgBbYLKbw3K4aLnSeKMD2ia5P17V1ZymBo
 dK4RwwRbXtb3gkV0LmocnsnVReIScbw9QXWPYyAT4Y3hEexlhjKeicvrmcK41Mp2K+3S
 5t2DV4FS0F2wiCXAlvkDVSDWSPbDNnibftXCQKvANsClbheC5846YbBvTAMfiE5rRZSC
 onThkh1LKpAJhf3mif8vryYKHNdey/W8ArNOA4RVTklF0HlImpY+fgSBux33KISP6puP
 wVtg==
X-Gm-Message-State: AOAM532PjYxE4BDKyylxYqnJrSP5/OsdOZ2ZsZMMWA9AhHOi9GrQLNFm
 6o847VfdDox2ZvRaq9HmMnr77EK9XEo2t7PNLYM=
X-Google-Smtp-Source: ABdhPJx5VHccKsBEcGjIA630UVE4l7Woo58/vh44oFWYBwxRd55/gguWgd08pyinkqlAd+52va/68K9osjKsCti187A=
X-Received: by 2002:a5b:410:: with SMTP id m16mr21437382ybp.309.1598457525214; 
 Wed, 26 Aug 2020 08:58:45 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 26 Aug 2020 08:58:44 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <d50c2a84-398c-1ee5-0c26-48158d32ec3e@HIDDEN>
References: <399f4416-31d4-2b8a-556f-43a9e3d4a559@HIDDEN>
 <d50c2a84-398c-1ee5-0c26-48158d32ec3e@HIDDEN>
MIME-Version: 1.0
Date: Wed, 26 Aug 2020 08:58:44 -0700
Message-ID: <CADwFkmmR-EN4AaDmesCA0zkJTMo+c1iJfsC_Nr=nhnKnEZmkBA@HIDDEN>
Subject: Re: bug#42169: is a duplicate to bug#28640
To: =?UTF-8?B?SGFyYWxkIErDtnJn?= <haj@HIDDEN>, 42169 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
Bcc: control <at> debbugs.gnu.org
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

forcemerge 28640 42169
thanks

Harald J=C3=B6rg <haj@HIDDEN> writes:

> Only now I noticed that the same bug had already been reported
> in Bug#28640.

Thanks, I'm merging these bugs.





Last modified: Wed, 26 Aug 2020 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.